Table of Contents

Module: dectalk | dectalk.py
--- | ---
Dectalk voice definitions using ACSS. This module encapsulates Dectalk-specific voice definitions. It maps device-independent ACSS voice definitions into appropriate Dectalk voice parameter settings.
Functions |
--- | ---
_update_map acss2voice getrate getvoice getvoicelist
| _update_map
    _update_map (
            table,
            key,
            format,
            settings,
            )
Internal function to update acss->synth mapping.
| acss2voice
    acss2voice ( acss )
Return synthesizer code.
| getrate
    getrate ( r )
| getvoice
    getvoice ( acss )
Memoized function that returns synthesizer code for specified ACSS setting. Synthesizer code is a tupple of the form (open,close) where open sets the voice, and close resets it.
| getvoicelist
    getvoicelist ()

Table of Contents

This document was automatically generated on Mon May 7 16:30:05 2007 by HappyDoc version 2.1